package com.jasamedika.medifirst2000.converter;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Component;

import com.google.gson.Gson;
import com.jasamedika.medifirst2000.converter.base.BaseVoConverter;
import com.jasamedika.medifirst2000.entities.PapThtAnamnesisHidung;
import com.jasamedika.medifirst2000.vo.PapThtAnamnesisHidungVO;

/**
 * Converter class between PAPThtAnamnesisHidung and PAPThtAnamnesisHidungVO
 * 
 * @author Askur
 */
@Component
public class PapThtAnamnesisHidungConverter implements BaseVoConverter<PapThtAnamnesisHidungVO, PapThtAnamnesisHidung> {
	

	public PapThtAnamnesisHidung transferVOToModel(PapThtAnamnesisHidungVO vo, PapThtAnamnesisHidung model) {
		if (null == model)
			model = new PapThtAnamnesisHidung();
		try {
			String[] fieldsToInclude = null;
			Map<String, Object> serialized = vo.serialize(fieldsToInclude,vo.getClass().getName());
			Gson gson = new Gson();
	        String json = gson.toJson(serialized);
	        model = gson.fromJson(json, PapThtAnamnesisHidung.class);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return model;

	}

	public List<PapThtAnamnesisHidungVO> transferListOfModelToListOfVO(List<PapThtAnamnesisHidung> models,
			List<PapThtAnamnesisHidungVO> vos) {
		if (null == vos)
			vos = new ArrayList<PapThtAnamnesisHidungVO>();

		if (null == models)
			return vos;

		for (PapThtAnamnesisHidung PapThtAnamnesisHidung : models) {
			PapThtAnamnesisHidungVO vo = new PapThtAnamnesisHidungVO();
			vo = transferModelToVO(PapThtAnamnesisHidung, vo);
			vos.add(vo);
		}

		return vos;
	}

	@Override
	public PapThtAnamnesisHidungVO transferModelToVO(PapThtAnamnesisHidung model, PapThtAnamnesisHidungVO vo) {

		if (null == vo)
			vo = new PapThtAnamnesisHidungVO();
		try {
			String[] fieldsToInclude = null;
			Map<String, Object> serialized = model.serialize(fieldsToInclude,model.getClass().getSimpleName());
			Gson gson = new Gson();
	        String json = gson.toJson(serialized);
	        vo = gson.fromJson(json, PapThtAnamnesisHidungVO.class);
		} catch (Exception e) {
			e.printStackTrace();
		}

		return vo;
	
	}

	
}
